#ifndef EVENT_COUNTER_H
#define EVENT_COUNTER_H

#include "mbed.h"

class EventCounter {
    public:
        EventCounter(PinName pin, int initialCount);
        int getCount();
        void reset();
    private:
        InterruptIn input;
        int count;
        void event();
        Timer debounce;
};

#endif // EVENT_COUNTER_H