#include "LEDCount.h"

LEDCount::LEDCount(PinName led1, PinName led2, PinName led3, PinName led4) : led(led4, led3, led2, led1) {
    display(0);
}

void LEDCount::display(int count_) {
    count = count_;
    switch(count) {
        case 0:
            led = 0x0;
            break;
        case 1:
            led = 0x8;
            break;
        case 2:
            led = 0xC;
            break;
        case 3:
            led = 0xE;
            break;
        case 4:
            led = 0xF;
            break;
        default:
            led = 0xF;
    }
}